API 参考
3 个接口 · 概览
sidstring必填200itemsShare[]idstring必填node_idstring必填viewuploadrequesthas_passwordboolean必填expires_atTimestamp | any必填created_bystring必填revokedboolean必填can_commentbooleanno_downloadbooleantitlestring | anymessagestring | anyuploadsintegercurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/shares" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"mode": "view",
"has_password": false,
"expires_at": "2026-11-14T09:30:00Z",
"created_by": "created_by",
"created_at": "2026-11-14T09:30:00Z",
"revoked": false,
"can_comment": false,
"no_download": false,
"title": "title",
"message": "message",
"uploads": 1
}
]
}sidstring必填node_idstring必填viewuploadrequestpasswordstringexpires_atTimestampcan_commentbooleanno_downloadbooleantitlestringmessagestringcurl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/shares" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"node_id":"nod_01JD7Q3A5C7E9G1J3K5M7P9R2S","mode":"view"}'{
"share": {
"id": "id",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"mode": "view",
"has_password": false,
"expires_at": "2026-11-14T09:30:00Z",
"created_by": "created_by",
"created_at": "2026-11-14T09:30:00Z",
"revoked": false,
"can_comment": false,
"no_download": false,
"title": "title",
"message": "message",
"uploads": 1
},
"token": "token",
"url": "https://hooks.example.com/side"
}sidstring必填idstring必填204curl -X DELETE "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/shares/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"